LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
NativeNumberSupplier2 Service Reference

Supplier for transliteration of numerals (native number strings). More...

`import <NativeNumberSupplier2.idl;`

Inheritance diagram for NativeNumberSupplier2:

## Additional Inherited Members
Public Member Functions inherited from XNativeNumberSupplier2
string | getNativeNumberStringParams ([in] string NumberString, [in] ::com::sun::star::lang::Locale Locale, [in] short NativeNumberMode, [in] string NativeNumberParameters)
| Returns native number string for given number string, using NatNum params.
Public Member Functions inherited from XNativeNumberSupplier
string | getNativeNumberString ([in] string aNumberString, [in] ::com::sun::star::lang::Locale aLocale, [in] short nNativeNumberMode)
| Returns native number string for given number string.
boolean | isValidNatNum ([in] ::com::sun::star::lang::Locale aLocale, [in] short nNativeNumberMode)
| Check if the NatNum is valid for the given locale.
NativeNumberXmlAttributes | convertToXmlAttributes ([in] ::com::sun::star::lang::Locale aLocale, [in] short nNativeNumberMode)
| Convert a specific NatNum/Locale combination to attributes used in the XML file format.
short | convertFromXmlAttributes ([in] NativeNumberXmlAttributes aAttr)
| Convert XML attributes to a NatNum value.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Supplier for transliteration of numerals (native number strings).

Since
  LibreOffice 6.1

The documentation for this service was generated from the following file:

- com/sun/star/i18n/NativeNumberSupplier2.idl